Loading...
Searching...
No Matches
Magick::DrawableSkewX Class Reference
Inheritance diagram for Magick::DrawableSkewX:

## Public Member Functions

| DrawableSkewX (double angle_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | angle (double angle_)
double | angle (void) const

## Private Attributes

double | _angle

## Detailed Description

Definition at line 1659 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableSkewX()

Magick::DrawableSkewX::DrawableSkewX | ( | double | angle_ | ) |

inline

Definition at line 1662 of file Drawable.h.

: _angle(angle_)
{ }

## ~DrawableSkewX()

Magick::DrawableSkewX::~DrawableSkewX | ( | void |  | ) |

Definition at line 1135 of file Drawable.cpp.

{
}

## Member Function Documentation

## angle() [1/2]

void Magick::DrawableSkewX::angle | ( | double | angle_ | ) |

inline

Definition at line 1674 of file Drawable.h.

{
_angle = angle_;
}

## angle() [2/2]

double Magick::DrawableSkewX::angle | ( | void |  | ) | const

inline

Definition at line 1678 of file Drawable.h.

{
return _angle;
}

## copy()

Magick::DrawableBase * Magick::DrawableSkewX::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1143 of file Drawable.cpp.

{
return new DrawableSkewX(*this);
}

## operator()()

void Magick::DrawableSkewX::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1138 of file Drawable.cpp.

{
DrawSkewX( context_, _angle );
}

## Field Documentation

## _angle

double Magick::DrawableSkewX::_angle

private

Definition at line 1684 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp